% Seleziona i geni in base alla varianza, vengono tenuti gli N a maggior
% varianza.
% Input: data dataset (campioni per riga, geni=feature per colonna), N
% numero di geni da selezionare.
% Output: G dataset con le feature migliori.
function g = genesel_var(data, N)
    %calcolo e ordino per varianza
    X = var(data.data);
    [s, I] = sort(X, 'descend');
    d = data.featsize;
    %seleziono le N feature a varianza maggiore
    w = featsel(d, I(1:N));
    g = data*w;